<?php
namespace Incoviba\Service\Contabilidad\Informe;

use Incoviba\Common\Ideal;
use Psr\Log\LoggerInterface;

class Tesoreria extends Ideal\Service
{
    public function __construct(LoggerInterface                              $logger,
                                protected Tesoreria\Output                   $outputService,
                                protected Tesoreria\Input                    $inputService)
    {
        parent::__construct($logger);
    }
    public function getOutput(): Tesoreria\Output
    {
        return $this->outputService;
    }
    public function getInput(): Tesoreria\Input
    {
        return $this->inputService;
    }
}
